"use strict";
/**
 * 管委会用户表
 * 没有权限 2023-02-06 确定此需求
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.findGuanWeiHuiUserInfoByLoginId = exports.save = exports.initModel = void 0;
const mongoose_1 = require("mongoose");
const dbInit_1 = require("../../db/mongo/dbInit");
const guanWeiHuiSchema = new mongoose_1.Schema({
    name: String,
    loginId: { type: String, index: true },
    pwd: String,
    token: String,
    tokenMs: Number
});
var guanWeiHuiModel;
function initModel() {
    guanWeiHuiModel = dbInit_1.baseDB.model('guanWeiHui', guanWeiHuiSchema);
    guanWeiHuiModel.selectOnceData = async function (paramater) {
        let selectInfo = await guanWeiHuiModel.findOne(paramater).exec();
        if (selectInfo) {
            if (!selectInfo.runSave) {
                selectInfo.runSave = selectInfo.save;
                selectInfo.save = save.bind(selectInfo);
            }
        }
        return selectInfo;
    };
}
exports.initModel = initModel;
async function save(throwError = false) {
    if (!this.isModified())
        return;
    await this.runSave({ validateBeforeSave: false }).catch(err => {
        console.log(err);
    });
}
exports.save = save;
async function findGuanWeiHuiUserInfoByLoginId(loginId) {
    return await guanWeiHuiModel.findOne({ loginId }).exec();
}
exports.findGuanWeiHuiUserInfoByLoginId = findGuanWeiHuiUserInfoByLoginId;
//# sourceMappingURL=guanweihui.js.map